<template>
  <div>
    <div class="block-content">
      <div id="not-logged">
        <div id="track-info">
          <div>
            <h1>Track your post here!</h1>
            <p>
              Tracking number or tracking code is a unique number assigned to each package, which
              allows you to monitor the movement of the parcel between the countries or even inside
              one country. Tracking numbers can be international or traceable only within the
              country of the sender. The tracking number in the format of the Universal Postal Union
              looks like RA123456789CN, where the first 2 letters are the type of package and the
              last 2 letters are the code of the country of origin. Packages with such numbers can
              be tracked right until delivery. Other shipments can be delivered by courier,
              transport and logistics companies, and how tracking codes look can vary a lot:
              CTAFT0000160477YQ, UPAAB000000251682107, AEL10105033654UA, SGADN143797855. Such
              packages are not always trackable in the recipient's country, and you'll have to wait
              for notification from the Post Office or a call from a courier company.
            </p>
          </div>
          <img src="../assets/Package-Delivery.jpg" id="img" />
        </div>
        <div id="base-track">
          <form>
            <div class="form-content" id="simple-track">
              <label class="form-label">Tracking nr:</label>
              <input type="text" class="form-value" v-on:keyup.enter="submit()"
              v-model="deliveryTrack"/>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>

<script>

export default {
  name: 'Tracking',
  props: {
    user: Object,
  },
  data() {
    return {
      deliveryTrack: '',
    };
  },
  methods: {
    checkUser() {
      return (Object.entries(this.user).length === 0
              && this.user.constructor === Object);
    },
    submit() {
      this.$emit('change-component', 'Details');
      this.$emit('object', this.deliveryTrack);
    },
  },
};
</script>

<style scoped>
@import "../CSS/Tracking.css";
</style>
